Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network89.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
89.0.0.0
Broadcast address
89.127.255.255
First usable
89.0.0.1
Last usable
89.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 59000000 · Integer 1493172224 to 1501560831
Reverse DNS zones
0.89.in-addr.arpa
1.89.in-addr.arpa
2.89.in-addr.arpa
3.89.in-addr.arpa
4.89.in-addr.arpa
5.89.in-addr.arpa
6.89.in-addr.arpa
7.89.in-addr.arpa
8.89.in-addr.arpa
9.89.in-addr.arpa
10.89.in-addr.arpa
11.89.in-addr.arpa
12.89.in-addr.arpa
13.89.in-addr.arpa
14.89.in-addr.arpa
15.89.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011001.00000000.00000000.0000000089.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01011001.00000000.00000000.0000000089.0.0.0
Broadcast01011001.01111111.11111111.1111111189.127.255.255
Split into smaller subnets/20

89.0.0.0/9 makes 2,048 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
189.0.0.0/2089.0.0.1 to 89.0.15.25489.0.15.2554,094
289.0.16.0/2089.0.16.1 to 89.0.31.25489.0.31.2554,094
389.0.32.0/2089.0.32.1 to 89.0.47.25489.0.47.2554,094
489.0.48.0/2089.0.48.1 to 89.0.63.25489.0.63.2554,094
589.0.64.0/2089.0.64.1 to 89.0.79.25489.0.79.2554,094
689.0.80.0/2089.0.80.1 to 89.0.95.25489.0.95.2554,094
789.0.96.0/2089.0.96.1 to 89.0.111.25489.0.111.2554,094
889.0.112.0/2089.0.112.1 to 89.0.127.25489.0.127.2554,094
989.0.128.0/2089.0.128.1 to 89.0.143.25489.0.143.2554,094
1089.0.144.0/2089.0.144.1 to 89.0.159.25489.0.159.2554,094
1189.0.160.0/2089.0.160.1 to 89.0.175.25489.0.175.2554,094
1289.0.176.0/2089.0.176.1 to 89.0.191.25489.0.191.2554,094
1389.0.192.0/2089.0.192.1 to 89.0.207.25489.0.207.2554,094
1489.0.208.0/2089.0.208.1 to 89.0.223.25489.0.223.2554,094
1589.0.224.0/2089.0.224.1 to 89.0.239.25489.0.239.2554,094
1689.0.240.0/2089.0.240.1 to 89.0.255.25489.0.255.2554,094
1789.1.0.0/2089.1.0.1 to 89.1.15.25489.1.15.2554,094
1889.1.16.0/2089.1.16.1 to 89.1.31.25489.1.31.2554,094
1989.1.32.0/2089.1.32.1 to 89.1.47.25489.1.47.2554,094
2089.1.48.0/2089.1.48.1 to 89.1.63.25489.1.63.2554,094
2189.1.64.0/2089.1.64.1 to 89.1.79.25489.1.79.2554,094
2289.1.80.0/2089.1.80.1 to 89.1.95.25489.1.95.2554,094
2389.1.96.0/2089.1.96.1 to 89.1.111.25489.1.111.2554,094
2489.1.112.0/2089.1.112.1 to 89.1.127.25489.1.127.2554,094
2589.1.128.0/2089.1.128.1 to 89.1.143.25489.1.143.2554,094
2689.1.144.0/2089.1.144.1 to 89.1.159.25489.1.159.2554,094
2789.1.160.0/2089.1.160.1 to 89.1.175.25489.1.175.2554,094
2889.1.176.0/2089.1.176.1 to 89.1.191.25489.1.191.2554,094
2989.1.192.0/2089.1.192.1 to 89.1.207.25489.1.207.2554,094
3089.1.208.0/2089.1.208.1 to 89.1.223.25489.1.223.2554,094
3189.1.224.0/2089.1.224.1 to 89.1.239.25489.1.239.2554,094
3289.1.240.0/2089.1.240.1 to 89.1.255.25489.1.255.2554,094
3389.2.0.0/2089.2.0.1 to 89.2.15.25489.2.15.2554,094
3489.2.16.0/2089.2.16.1 to 89.2.31.25489.2.31.2554,094
3589.2.32.0/2089.2.32.1 to 89.2.47.25489.2.47.2554,094
3689.2.48.0/2089.2.48.1 to 89.2.63.25489.2.63.2554,094
3789.2.64.0/2089.2.64.1 to 89.2.79.25489.2.79.2554,094
3889.2.80.0/2089.2.80.1 to 89.2.95.25489.2.95.2554,094
3989.2.96.0/2089.2.96.1 to 89.2.111.25489.2.111.2554,094
4089.2.112.0/2089.2.112.1 to 89.2.127.25489.2.127.2554,094
4189.2.128.0/2089.2.128.1 to 89.2.143.25489.2.143.2554,094
4289.2.144.0/2089.2.144.1 to 89.2.159.25489.2.159.2554,094
4389.2.160.0/2089.2.160.1 to 89.2.175.25489.2.175.2554,094
4489.2.176.0/2089.2.176.1 to 89.2.191.25489.2.191.2554,094
4589.2.192.0/2089.2.192.1 to 89.2.207.25489.2.207.2554,094
4689.2.208.0/2089.2.208.1 to 89.2.223.25489.2.223.2554,094
4789.2.224.0/2089.2.224.1 to 89.2.239.25489.2.239.2554,094
4889.2.240.0/2089.2.240.1 to 89.2.255.25489.2.255.2554,094
4989.3.0.0/2089.3.0.1 to 89.3.15.25489.3.15.2554,094
5089.3.16.0/2089.3.16.1 to 89.3.31.25489.3.31.2554,094
5189.3.32.0/2089.3.32.1 to 89.3.47.25489.3.47.2554,094
5289.3.48.0/2089.3.48.1 to 89.3.63.25489.3.63.2554,094
5389.3.64.0/2089.3.64.1 to 89.3.79.25489.3.79.2554,094
5489.3.80.0/2089.3.80.1 to 89.3.95.25489.3.95.2554,094
5589.3.96.0/2089.3.96.1 to 89.3.111.25489.3.111.2554,094
5689.3.112.0/2089.3.112.1 to 89.3.127.25489.3.127.2554,094
5789.3.128.0/2089.3.128.1 to 89.3.143.25489.3.143.2554,094
5889.3.144.0/2089.3.144.1 to 89.3.159.25489.3.159.2554,094
5989.3.160.0/2089.3.160.1 to 89.3.175.25489.3.175.2554,094
6089.3.176.0/2089.3.176.1 to 89.3.191.25489.3.191.2554,094
6189.3.192.0/2089.3.192.1 to 89.3.207.25489.3.207.2554,094
6289.3.208.0/2089.3.208.1 to 89.3.223.25489.3.223.2554,094
6389.3.224.0/2089.3.224.1 to 89.3.239.25489.3.239.2554,094
6489.3.240.0/2089.3.240.1 to 89.3.255.25489.3.255.2554,094
6589.4.0.0/2089.4.0.1 to 89.4.15.25489.4.15.2554,094
6689.4.16.0/2089.4.16.1 to 89.4.31.25489.4.31.2554,094
6789.4.32.0/2089.4.32.1 to 89.4.47.25489.4.47.2554,094
6889.4.48.0/2089.4.48.1 to 89.4.63.25489.4.63.2554,094
6989.4.64.0/2089.4.64.1 to 89.4.79.25489.4.79.2554,094
7089.4.80.0/2089.4.80.1 to 89.4.95.25489.4.95.2554,094
7189.4.96.0/2089.4.96.1 to 89.4.111.25489.4.111.2554,094
7289.4.112.0/2089.4.112.1 to 89.4.127.25489.4.127.2554,094
7389.4.128.0/2089.4.128.1 to 89.4.143.25489.4.143.2554,094
7489.4.144.0/2089.4.144.1 to 89.4.159.25489.4.159.2554,094
7589.4.160.0/2089.4.160.1 to 89.4.175.25489.4.175.2554,094
7689.4.176.0/2089.4.176.1 to 89.4.191.25489.4.191.2554,094
7789.4.192.0/2089.4.192.1 to 89.4.207.25489.4.207.2554,094
7889.4.208.0/2089.4.208.1 to 89.4.223.25489.4.223.2554,094
7989.4.224.0/2089.4.224.1 to 89.4.239.25489.4.239.2554,094
8089.4.240.0/2089.4.240.1 to 89.4.255.25489.4.255.2554,094
8189.5.0.0/2089.5.0.1 to 89.5.15.25489.5.15.2554,094
8289.5.16.0/2089.5.16.1 to 89.5.31.25489.5.31.2554,094
8389.5.32.0/2089.5.32.1 to 89.5.47.25489.5.47.2554,094
8489.5.48.0/2089.5.48.1 to 89.5.63.25489.5.63.2554,094
8589.5.64.0/2089.5.64.1 to 89.5.79.25489.5.79.2554,094
8689.5.80.0/2089.5.80.1 to 89.5.95.25489.5.95.2554,094
8789.5.96.0/2089.5.96.1 to 89.5.111.25489.5.111.2554,094
8889.5.112.0/2089.5.112.1 to 89.5.127.25489.5.127.2554,094
8989.5.128.0/2089.5.128.1 to 89.5.143.25489.5.143.2554,094
9089.5.144.0/2089.5.144.1 to 89.5.159.25489.5.159.2554,094
9189.5.160.0/2089.5.160.1 to 89.5.175.25489.5.175.2554,094
9289.5.176.0/2089.5.176.1 to 89.5.191.25489.5.191.2554,094
9389.5.192.0/2089.5.192.1 to 89.5.207.25489.5.207.2554,094
9489.5.208.0/2089.5.208.1 to 89.5.223.25489.5.223.2554,094
9589.5.224.0/2089.5.224.1 to 89.5.239.25489.5.239.2554,094
9689.5.240.0/2089.5.240.1 to 89.5.255.25489.5.255.2554,094
9789.6.0.0/2089.6.0.1 to 89.6.15.25489.6.15.2554,094
9889.6.16.0/2089.6.16.1 to 89.6.31.25489.6.31.2554,094
9989.6.32.0/2089.6.32.1 to 89.6.47.25489.6.47.2554,094
10089.6.48.0/2089.6.48.1 to 89.6.63.25489.6.63.2554,094
10189.6.64.0/2089.6.64.1 to 89.6.79.25489.6.79.2554,094
10289.6.80.0/2089.6.80.1 to 89.6.95.25489.6.95.2554,094
10389.6.96.0/2089.6.96.1 to 89.6.111.25489.6.111.2554,094
10489.6.112.0/2089.6.112.1 to 89.6.127.25489.6.127.2554,094
10589.6.128.0/2089.6.128.1 to 89.6.143.25489.6.143.2554,094
10689.6.144.0/2089.6.144.1 to 89.6.159.25489.6.159.2554,094
10789.6.160.0/2089.6.160.1 to 89.6.175.25489.6.175.2554,094
10889.6.176.0/2089.6.176.1 to 89.6.191.25489.6.191.2554,094
10989.6.192.0/2089.6.192.1 to 89.6.207.25489.6.207.2554,094
11089.6.208.0/2089.6.208.1 to 89.6.223.25489.6.223.2554,094
11189.6.224.0/2089.6.224.1 to 89.6.239.25489.6.239.2554,094
11289.6.240.0/2089.6.240.1 to 89.6.255.25489.6.255.2554,094
11389.7.0.0/2089.7.0.1 to 89.7.15.25489.7.15.2554,094
11489.7.16.0/2089.7.16.1 to 89.7.31.25489.7.31.2554,094
11589.7.32.0/2089.7.32.1 to 89.7.47.25489.7.47.2554,094
11689.7.48.0/2089.7.48.1 to 89.7.63.25489.7.63.2554,094
11789.7.64.0/2089.7.64.1 to 89.7.79.25489.7.79.2554,094
11889.7.80.0/2089.7.80.1 to 89.7.95.25489.7.95.2554,094
11989.7.96.0/2089.7.96.1 to 89.7.111.25489.7.111.2554,094
12089.7.112.0/2089.7.112.1 to 89.7.127.25489.7.127.2554,094
12189.7.128.0/2089.7.128.1 to 89.7.143.25489.7.143.2554,094
12289.7.144.0/2089.7.144.1 to 89.7.159.25489.7.159.2554,094
12389.7.160.0/2089.7.160.1 to 89.7.175.25489.7.175.2554,094
12489.7.176.0/2089.7.176.1 to 89.7.191.25489.7.191.2554,094
12589.7.192.0/2089.7.192.1 to 89.7.207.25489.7.207.2554,094
12689.7.208.0/2089.7.208.1 to 89.7.223.25489.7.223.2554,094
12789.7.224.0/2089.7.224.1 to 89.7.239.25489.7.239.2554,094
12889.7.240.0/2089.7.240.1 to 89.7.255.25489.7.255.2554,094
12989.8.0.0/2089.8.0.1 to 89.8.15.25489.8.15.2554,094
13089.8.16.0/2089.8.16.1 to 89.8.31.25489.8.31.2554,094
13189.8.32.0/2089.8.32.1 to 89.8.47.25489.8.47.2554,094
13289.8.48.0/2089.8.48.1 to 89.8.63.25489.8.63.2554,094
13389.8.64.0/2089.8.64.1 to 89.8.79.25489.8.79.2554,094
13489.8.80.0/2089.8.80.1 to 89.8.95.25489.8.95.2554,094
13589.8.96.0/2089.8.96.1 to 89.8.111.25489.8.111.2554,094
13689.8.112.0/2089.8.112.1 to 89.8.127.25489.8.127.2554,094
13789.8.128.0/2089.8.128.1 to 89.8.143.25489.8.143.2554,094
13889.8.144.0/2089.8.144.1 to 89.8.159.25489.8.159.2554,094
13989.8.160.0/2089.8.160.1 to 89.8.175.25489.8.175.2554,094
14089.8.176.0/2089.8.176.1 to 89.8.191.25489.8.191.2554,094
14189.8.192.0/2089.8.192.1 to 89.8.207.25489.8.207.2554,094
14289.8.208.0/2089.8.208.1 to 89.8.223.25489.8.223.2554,094
14389.8.224.0/2089.8.224.1 to 89.8.239.25489.8.239.2554,094
14489.8.240.0/2089.8.240.1 to 89.8.255.25489.8.255.2554,094
14589.9.0.0/2089.9.0.1 to 89.9.15.25489.9.15.2554,094
14689.9.16.0/2089.9.16.1 to 89.9.31.25489.9.31.2554,094
14789.9.32.0/2089.9.32.1 to 89.9.47.25489.9.47.2554,094
14889.9.48.0/2089.9.48.1 to 89.9.63.25489.9.63.2554,094
14989.9.64.0/2089.9.64.1 to 89.9.79.25489.9.79.2554,094
15089.9.80.0/2089.9.80.1 to 89.9.95.25489.9.95.2554,094
15189.9.96.0/2089.9.96.1 to 89.9.111.25489.9.111.2554,094
15289.9.112.0/2089.9.112.1 to 89.9.127.25489.9.127.2554,094
15389.9.128.0/2089.9.128.1 to 89.9.143.25489.9.143.2554,094
15489.9.144.0/2089.9.144.1 to 89.9.159.25489.9.159.2554,094
15589.9.160.0/2089.9.160.1 to 89.9.175.25489.9.175.2554,094
15689.9.176.0/2089.9.176.1 to 89.9.191.25489.9.191.2554,094
15789.9.192.0/2089.9.192.1 to 89.9.207.25489.9.207.2554,094
15889.9.208.0/2089.9.208.1 to 89.9.223.25489.9.223.2554,094
15989.9.224.0/2089.9.224.1 to 89.9.239.25489.9.239.2554,094
16089.9.240.0/2089.9.240.1 to 89.9.255.25489.9.255.2554,094
16189.10.0.0/2089.10.0.1 to 89.10.15.25489.10.15.2554,094
16289.10.16.0/2089.10.16.1 to 89.10.31.25489.10.31.2554,094
16389.10.32.0/2089.10.32.1 to 89.10.47.25489.10.47.2554,094
16489.10.48.0/2089.10.48.1 to 89.10.63.25489.10.63.2554,094
16589.10.64.0/2089.10.64.1 to 89.10.79.25489.10.79.2554,094
16689.10.80.0/2089.10.80.1 to 89.10.95.25489.10.95.2554,094
16789.10.96.0/2089.10.96.1 to 89.10.111.25489.10.111.2554,094
16889.10.112.0/2089.10.112.1 to 89.10.127.25489.10.127.2554,094
16989.10.128.0/2089.10.128.1 to 89.10.143.25489.10.143.2554,094
17089.10.144.0/2089.10.144.1 to 89.10.159.25489.10.159.2554,094
17189.10.160.0/2089.10.160.1 to 89.10.175.25489.10.175.2554,094
17289.10.176.0/2089.10.176.1 to 89.10.191.25489.10.191.2554,094
17389.10.192.0/2089.10.192.1 to 89.10.207.25489.10.207.2554,094
17489.10.208.0/2089.10.208.1 to 89.10.223.25489.10.223.2554,094
17589.10.224.0/2089.10.224.1 to 89.10.239.25489.10.239.2554,094
17689.10.240.0/2089.10.240.1 to 89.10.255.25489.10.255.2554,094
17789.11.0.0/2089.11.0.1 to 89.11.15.25489.11.15.2554,094
17889.11.16.0/2089.11.16.1 to 89.11.31.25489.11.31.2554,094
17989.11.32.0/2089.11.32.1 to 89.11.47.25489.11.47.2554,094
18089.11.48.0/2089.11.48.1 to 89.11.63.25489.11.63.2554,094
18189.11.64.0/2089.11.64.1 to 89.11.79.25489.11.79.2554,094
18289.11.80.0/2089.11.80.1 to 89.11.95.25489.11.95.2554,094
18389.11.96.0/2089.11.96.1 to 89.11.111.25489.11.111.2554,094
18489.11.112.0/2089.11.112.1 to 89.11.127.25489.11.127.2554,094
18589.11.128.0/2089.11.128.1 to 89.11.143.25489.11.143.2554,094
18689.11.144.0/2089.11.144.1 to 89.11.159.25489.11.159.2554,094
18789.11.160.0/2089.11.160.1 to 89.11.175.25489.11.175.2554,094
18889.11.176.0/2089.11.176.1 to 89.11.191.25489.11.191.2554,094
18989.11.192.0/2089.11.192.1 to 89.11.207.25489.11.207.2554,094
19089.11.208.0/2089.11.208.1 to 89.11.223.25489.11.223.2554,094
19189.11.224.0/2089.11.224.1 to 89.11.239.25489.11.239.2554,094
19289.11.240.0/2089.11.240.1 to 89.11.255.25489.11.255.2554,094
19389.12.0.0/2089.12.0.1 to 89.12.15.25489.12.15.2554,094
19489.12.16.0/2089.12.16.1 to 89.12.31.25489.12.31.2554,094
19589.12.32.0/2089.12.32.1 to 89.12.47.25489.12.47.2554,094
19689.12.48.0/2089.12.48.1 to 89.12.63.25489.12.63.2554,094
19789.12.64.0/2089.12.64.1 to 89.12.79.25489.12.79.2554,094
19889.12.80.0/2089.12.80.1 to 89.12.95.25489.12.95.2554,094
19989.12.96.0/2089.12.96.1 to 89.12.111.25489.12.111.2554,094
20089.12.112.0/2089.12.112.1 to 89.12.127.25489.12.127.2554,094
20189.12.128.0/2089.12.128.1 to 89.12.143.25489.12.143.2554,094
20289.12.144.0/2089.12.144.1 to 89.12.159.25489.12.159.2554,094
20389.12.160.0/2089.12.160.1 to 89.12.175.25489.12.175.2554,094
20489.12.176.0/2089.12.176.1 to 89.12.191.25489.12.191.2554,094
20589.12.192.0/2089.12.192.1 to 89.12.207.25489.12.207.2554,094
20689.12.208.0/2089.12.208.1 to 89.12.223.25489.12.223.2554,094
20789.12.224.0/2089.12.224.1 to 89.12.239.25489.12.239.2554,094
20889.12.240.0/2089.12.240.1 to 89.12.255.25489.12.255.2554,094
20989.13.0.0/2089.13.0.1 to 89.13.15.25489.13.15.2554,094
21089.13.16.0/2089.13.16.1 to 89.13.31.25489.13.31.2554,094
21189.13.32.0/2089.13.32.1 to 89.13.47.25489.13.47.2554,094
21289.13.48.0/2089.13.48.1 to 89.13.63.25489.13.63.2554,094
21389.13.64.0/2089.13.64.1 to 89.13.79.25489.13.79.2554,094
21489.13.80.0/2089.13.80.1 to 89.13.95.25489.13.95.2554,094
21589.13.96.0/2089.13.96.1 to 89.13.111.25489.13.111.2554,094
21689.13.112.0/2089.13.112.1 to 89.13.127.25489.13.127.2554,094
21789.13.128.0/2089.13.128.1 to 89.13.143.25489.13.143.2554,094
21889.13.144.0/2089.13.144.1 to 89.13.159.25489.13.159.2554,094
21989.13.160.0/2089.13.160.1 to 89.13.175.25489.13.175.2554,094
22089.13.176.0/2089.13.176.1 to 89.13.191.25489.13.191.2554,094
22189.13.192.0/2089.13.192.1 to 89.13.207.25489.13.207.2554,094
22289.13.208.0/2089.13.208.1 to 89.13.223.25489.13.223.2554,094
22389.13.224.0/2089.13.224.1 to 89.13.239.25489.13.239.2554,094
22489.13.240.0/2089.13.240.1 to 89.13.255.25489.13.255.2554,094
22589.14.0.0/2089.14.0.1 to 89.14.15.25489.14.15.2554,094
22689.14.16.0/2089.14.16.1 to 89.14.31.25489.14.31.2554,094
22789.14.32.0/2089.14.32.1 to 89.14.47.25489.14.47.2554,094
22889.14.48.0/2089.14.48.1 to 89.14.63.25489.14.63.2554,094
22989.14.64.0/2089.14.64.1 to 89.14.79.25489.14.79.2554,094
23089.14.80.0/2089.14.80.1 to 89.14.95.25489.14.95.2554,094
23189.14.96.0/2089.14.96.1 to 89.14.111.25489.14.111.2554,094
23289.14.112.0/2089.14.112.1 to 89.14.127.25489.14.127.2554,094
23389.14.128.0/2089.14.128.1 to 89.14.143.25489.14.143.2554,094
23489.14.144.0/2089.14.144.1 to 89.14.159.25489.14.159.2554,094
23589.14.160.0/2089.14.160.1 to 89.14.175.25489.14.175.2554,094
23689.14.176.0/2089.14.176.1 to 89.14.191.25489.14.191.2554,094
23789.14.192.0/2089.14.192.1 to 89.14.207.25489.14.207.2554,094
23889.14.208.0/2089.14.208.1 to 89.14.223.25489.14.223.2554,094
23989.14.224.0/2089.14.224.1 to 89.14.239.25489.14.239.2554,094
24089.14.240.0/2089.14.240.1 to 89.14.255.25489.14.255.2554,094
24189.15.0.0/2089.15.0.1 to 89.15.15.25489.15.15.2554,094
24289.15.16.0/2089.15.16.1 to 89.15.31.25489.15.31.2554,094
24389.15.32.0/2089.15.32.1 to 89.15.47.25489.15.47.2554,094
24489.15.48.0/2089.15.48.1 to 89.15.63.25489.15.63.2554,094
24589.15.64.0/2089.15.64.1 to 89.15.79.25489.15.79.2554,094
24689.15.80.0/2089.15.80.1 to 89.15.95.25489.15.95.2554,094
24789.15.96.0/2089.15.96.1 to 89.15.111.25489.15.111.2554,094
24889.15.112.0/2089.15.112.1 to 89.15.127.25489.15.127.2554,094
24989.15.128.0/2089.15.128.1 to 89.15.143.25489.15.143.2554,094
25089.15.144.0/2089.15.144.1 to 89.15.159.25489.15.159.2554,094
25189.15.160.0/2089.15.160.1 to 89.15.175.25489.15.175.2554,094
25289.15.176.0/2089.15.176.1 to 89.15.191.25489.15.191.2554,094
25389.15.192.0/2089.15.192.1 to 89.15.207.25489.15.207.2554,094
25489.15.208.0/2089.15.208.1 to 89.15.223.25489.15.223.2554,094
25589.15.224.0/2089.15.224.1 to 89.15.239.25489.15.239.2554,094
25689.15.240.0/2089.15.240.1 to 89.15.255.25489.15.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses